function [F,gm,Mm,lm,Plyap] = robfiltsynEngine(PICT,PSIICT,IQCMode)
%ROBFILTSYNENGINE decides which solver to call and for LTI/LPV synthesis.

if isa(PICT,'ss') || isa(PICT,'tf') || isa(PICT,'zpk')
    [F,gm,Mm,lm,Plyap,cvx_status] = robfiltsyn(PICT,PSIICT,IQCMode);
    fprintf(['\n - CVX status is: ',cvx_status,'\n']);
elseif isa(PICT,'pss') || isa(PICT,'plftss') || isa(PICT,'upss')
    [F,gm,Mm,lm,Plyap,cvx_status] = robfiltLPVsyn(PICT,PSIICT,IQCMode);
    fprintf(['\n - CVX status is: ',cvx_status,'\n']);
else
    warning(['Unknown input class: ',class(PICT),'.']);
end
end
